* {
  margin: 0;
  padding: 0;
}

body {
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
  font-weight: 400;
  font-style: normal;
  background: url("../assets/bg.jpg") no-repeat;
  background-size: cover;
}

#crud {
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.18);
}

.container {
  max-width: 1140px;
  margin: 0 auto;
  padding: 10px;
}

.heading {
  text-align: center;
  font-size: 20px;
  font-family: "Poppins", sans-serif;
  font-weight: 600;
  font-style: normal;
  margin-top: 30px;
}

.note {
  display: flex;
  gap: 10px;
  justify-content: center;
  margin-top: 50px;
}

.noteadder {
  position: relative;
  display: flex;
  gap: 10px;
  justify-content: center;
  transition: all 0.3s ease;
}

#note {
  padding: 20px;
  border: none;
  outline: none;
  border-radius: 5px;
  border: 2px grey solid;
  background: rgba(255, 255, 255, 0.7);
}

.tooltip {
  background-color: red;
  border-radius: 5px;
  position: absolute;
  color: white;
  padding: 5px 10px;
  top: -50px;
  left: 0;
  z-index: 2;
  display: none;
}

.tooltip::after {
  content: "";
  position: absolute;
  padding: 10px;
  background-color: red;
  top: 20px;
  left: 20px;
  transform: rotate(45deg);
  z-index: -1;
}

.content-wrapper {
  display: grid;
  gap: 20px;
  margin-top: 50px;
  grid-template-columns: repeat(3, auto);
}

.display {
  display: flex;
  gap: 10px;
}

.content {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 20px;

  background: rgba(255, 255, 255, 0);
  border-radius: 16px;
  box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
  backdrop-filter: blur(5px);
  -webkit-backdrop-filter: blur(5px);
  border: 1px solid rgba(255, 255, 255, 0.3);
}

.operations {
  margin-top: 30px;
  display: flex;
  gap: 10px;
  width: 100%;
  justify-content: center;
}

.editor {
  padding: 5px;
  border: 1px grey solid;
  outline: none;
  border-radius: 5px;
  background: transparent;
}

input[type="submit"] {
  border: none;
  outline: none;
  padding: 10px;
  border-radius: 5px;
  cursor: pointer;
}
.button {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: black;
  color: white;
  border-radius: 5px;
  padding: 10px;
  transition: all 0.3s ease;
  cursor: pointer;
  font-family: "Poppins", sans-serif;
  font-weight: 500;
  font-style: normal;
}

.button:hover {
  scale: 1.1;
}

.show {
  display: flex !important;
}

.undo {
  display: none;
  position: fixed;
  padding: 10px 20px;
  right: 20px;
  bottom: 20px;
  border-radius: 5px;
  box-shadow: grey 0px 0px 5px 0px;
  justify-content: center;
  align-items: center;
  gap: 10px;
}

@media screen and (max-width: 767px) {
  .container {
    width: 85%;
  }

  .noteadder {
    width: 100%;
    flex-direction: column;
  }

  .content-wrapper {
    display: grid;
    gap: 20px;
    margin-top: 50px;
    grid-template-columns: repeat(1, auto);
  }

  .button:hover {
    scale: unset;
  }
}
